image:
  repository: registry.gitlab.com/sia-insa-lyon/bdeinsalyon/serveur-affichage-dynamique
  tag: master
  pullPolicy: Always

# Put all your environment variables here as long as they're not numbers or booleans
env:
  django_env: "prod"
  allowed_hosts: "affichage.bde-insa-lyon.fr"
  api_events: "https://portail.asso-insa-lyon.fr/api/v1/events/"
  default_username_event: "RespVA"
  default_from_email: "affichage@email.bde-insa-lyon.fr"
  email_subject_prefix: "[Affichage Dynamique]"
  default_group_pk: 0
  restaurants_feed_pk: 2
  restaurants_group_pk: 2
  siteUrl: "https://affichage.bde-insa-lyon.fr"
  mention_role: "Président du BdE INSA Lyon"
  mention_mail: "sg@bde-insa-lyon.fr"
  mention_phone: "0472438229"
  contact_mail: "sia.support@asso-insa-lyon.fr"
  admin_mail: "sia.support@asso-insa-lyon.fr"

resources:
  django:
    requests:
      cpu: 300m
      memory: 500Mi
    limits:
      cpu: 500m
      memory: 1Gi
  nginx:
    requests:
      cpu: 300m
      memory: 200Mi
    limits:
      cpu: 500m
      memory: 500Mi

ingress:
  enabled: false
  host: nil

service:
  type: NodePort

storage:
  sizeMedia: 1Gi

secret:
  secret_key: "v3rysecr3t"
  mailjet_api_key: ""
  mailjet_secret_key: ""
  hcaptcha_secret: "v3rysecr3t"
  hcaptcha_sitekey: "v3rysecr3t"

nodeSelector:
  enable: false
  labelKey: ""
  labelValue: ""

postgresql:
  enabled: true
  postgresqlUsername: affichagedynamique
  postgresqlPassword: password
  postgresqlDatabase: django
  postgresqlHost: 
  postgresqlPort: 5432
  persistence:
    accessModes: [ReadWriteOnce]
    size: 1Gi
  volumePermissions:
    enabled: true
backupPostgresql:
  enabled: false
  schedule: 0 1 * * *
  FILE_NAME: "affichagedynamique"
  PGHOST: "postgres"
  secretEnableDatabase: true
  nameSecretDatabase: "affichagedynamique-db-secret"
  nameKeyDatabase: "PGDATABASE"
  secretEnableUser: true
  nameSecretUser: "affichagedynamique-db-secret"
  nameKeyUser: "PGUSER"
  secretEnablePassword: true
  nameSecretPassword: "affichagedynamique-db-secret"
  nameKeyPassword: "PGPASSWORD"
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/postgres-backup-container
    tag: latest

backupfiles:
  enabled: false
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/backup-files-swift
    tag: latest
  schedule: 0 1 * * *
  fileName: ""
  pvcName: ""
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  nodeSelector:
    enable: false
    labelKey: ""
    labelValue: ""
